postinst error from mythv-database

Bug #989371 reported by Bradley Baetz on 2012-04-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mythbuntu
Fix Released
Undecided
Unassigned

Bug Description

When upgrading mythtv via apt-get, I see:

Setting up mythtv-database (2:0.25.0+fixes.20120427.58fd2a5-0ubuntu0mythbuntu4) ...
/var/lib/dpkg/info/mythtv-database.postinst: 115: [: =: unexpected operator

line 115 is:

        if [ $RET = true ]; then

I think that that should be:

        if [ $RET = "true" ]; then

(ie with quotes) ?

Mario Limonciello (superm1) wrote :

Hmm, I don't believe that's the case. Shell script lets you go and do stuff like this:

#!/bin/sh
blah=true
if [ $blah = true ];then
echo "yes"
fi

And that works out just fine. would you mind adding a echo $RET right before that to see what value public bind is returning? The other thing is this code hasn't changed in several releases, it's odd if it's all of a sudden a problem.

Mario Limonciello (superm1) wrote :

Oh and you can just modify the file on your filesystem at /var/lib/dpkg/info/mythtv-database.postinst and either run apt-get -f install or dpkg-reconfigure mythtv-database.

Bradley Baetz (bbaetz) wrote :

dpkg-reconfigure brought up a dialog asking me if I wanted to have the DB be externally connectable, and when I said no, the echo just printed 'false' and I didn't get that error printed.

This wasn't the first time I'd seen it either - it wasn't a one-off. Hmm...

Did it ask you that question previously on the upgrade that you
received the error?

Thanks,

Thomas Mashos

On Thu, Apr 26, 2012 at 9:42 PM, Bradley Baetz <email address hidden> wrote:
> dpkg-reconfigure brought up a dialog asking me if I wanted to have the
> DB be externally connectable, and when I said no, the echo just printed
> 'false' and I didn't get that error printed.
>
> This wasn't the first time I'd seen it either - it wasn't a one-off.
> Hmm...
>
> --
> You received this bug notification because you are a member of Mythbuntu
> Bug Team, which is subscribed to Mythbuntu.
> https://bugs.launchpad.net/bugs/989371
>
> Title:
>  postinst error from mythv-database
>
> Status in Mythbuntu, Ubuntu derivative focused upon MythTV:
>  New
>
> Bug description:
>  When upgrading mythtv via apt-get, I see:
>
>  Setting up mythtv-database (2:0.25.0+fixes.20120427.58fd2a5-0ubuntu0mythbuntu4) ...
>  /var/lib/dpkg/info/mythtv-database.postinst: 115: [: =: unexpected operator
>
>  line 115 is:
>
>          if [ $RET = true ]; then
>
>  I think that that should be:
>
>          if [ $RET = "true" ]; then
>
>  (ie with quotes) ?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mythbuntu/+bug/989371/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~mythbuntu-bugs
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~mythbuntu-bugs
> More help   : https://help.launchpad.net/ListHelp

Bradley Baetz (bbaetz) wrote :

On Fri, Apr 27, 2012 at 2:59 PM, Thomas Mashos
<email address hidden> wrote:
> Did it ask you that question previously on the upgrade that you
> received the error?

No; that was an apt-get update/apt-get upgrade.

mythtv was installed from the mythbuntu 12.04 beta2 media (via a USB
stick) and I'm pretty sure that I wasn't asked at the time.

Bradley

Thomas Mashos (tgm4883) wrote :

Sounds like for some reason you didn't have that option set in debconf.

Thanks,

Thomas Mashos

On Thu, Apr 26, 2012 at 10:48 PM, Bradley Baetz <email address hidden> wrote:
> On Fri, Apr 27, 2012 at 2:59 PM, Thomas Mashos
> <email address hidden> wrote:
>> Did it ask you that question previously on the upgrade that you
>> received the error?
>
> No; that was an apt-get update/apt-get upgrade.
>
> mythtv was installed from the mythbuntu 12.04 beta2 media (via a USB
> stick) and I'm pretty sure that I wasn't asked at the time.
>
> Bradley
>
> --
> You received this bug notification because you are a member of Mythbuntu
> Bug Team, which is subscribed to Mythbuntu.
> https://bugs.launchpad.net/bugs/989371
>
> Title:
>  postinst error from mythv-database
>
> Status in Mythbuntu, Ubuntu derivative focused upon MythTV:
>  New
>
> Bug description:
>  When upgrading mythtv via apt-get, I see:
>
>  Setting up mythtv-database (2:0.25.0+fixes.20120427.58fd2a5-0ubuntu0mythbuntu4) ...
>  /var/lib/dpkg/info/mythtv-database.postinst: 115: [: =: unexpected operator
>
>  line 115 is:
>
>          if [ $RET = true ]; then
>
>  I think that that should be:
>
>          if [ $RET = "true" ]; then
>
>  (ie with quotes) ?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mythbuntu/+bug/989371/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~mythbuntu-bugs
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~mythbuntu-bugs
> More help   : https://help.launchpad.net/ListHelp

Mario Limonciello (superm1) wrote :

Sounds like we need to test for an empty value in that postinst if there
are scenarios like this where it's not set indeed.

On Fri, Apr 27, 2012 at 08:57, Thomas Mashos <email address hidden> wrote:

> Sounds like for some reason you didn't have that option set in debconf.
>
> Thanks,
>
> Thomas Mashos
>
>
> On Thu, Apr 26, 2012 at 10:48 PM, Bradley Baetz <email address hidden> wrote:
> > On Fri, Apr 27, 2012 at 2:59 PM, Thomas Mashos
> > <email address hidden> wrote:
> >> Did it ask you that question previously on the upgrade that you
> >> received the error?
> >
> > No; that was an apt-get update/apt-get upgrade.
> >
> > mythtv was installed from the mythbuntu 12.04 beta2 media (via a USB
> > stick) and I'm pretty sure that I wasn't asked at the time.
> >
> > Bradley
> >
> > --
> > You received this bug notification because you are a member of Mythbuntu
> > Bug Team, which is subscribed to Mythbuntu.
> > https://bugs.launchpad.net/bugs/989371
> >
> > Title:
> > postinst error from mythv-database
> >
> > Status in Mythbuntu, Ubuntu derivative focused upon MythTV:
> > New
> >
> > Bug description:
> > When upgrading mythtv via apt-get, I see:
> >
> > Setting up mythtv-database
> (2:0.25.0+fixes.20120427.58fd2a5-0ubuntu0mythbuntu4) ...
> > /var/lib/dpkg/info/mythtv-database.postinst: 115: [: =: unexpected
> operator
> >
> > line 115 is:
> >
> > if [ $RET = true ]; then
> >
> > I think that that should be:
> >
> > if [ $RET = "true" ]; then
> >
> > (ie with quotes) ?
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/mythbuntu/+bug/989371/+subscriptions
> >
> > _______________________________________________
> > Mailing list: https://launchpad.net/~mythbuntu-bugs
> > Post to : <email address hidden>
> > Unsubscribe : https://launchpad.net/~mythbuntu-bugs
> > More help : https://help.launchpad.net/ListHelp
>
> _______________________________________________
> Mailing list: https://launchpad.net/~mythbuntu-bugs
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~mythbuntu-bugs
> More help : https://help.launchpad.net/ListHelp
>

--
Mario Limonciello
<email address hidden>

Thomas Mashos (tgm4883) wrote :

Is having nothing there ever valid? I suppose we could set a default if RET
is blank.

On Apr 25, 2012 11:58 PM, "Daniel Clem" <email address hidden> wrote:

> Are there any ideas being thrown around about how to approach GPS
> navigation on either the phone or tablet? I use it on my phone about 2
> times a week. Sometimes more. And though I try to stay away from
> Google's services as much as possible by using Map Quest and other
> replacements for the stock Android Apps, Google Maps is just really well
> polished and works really well. But the biggest draw back to ALL the
> navigation apps currently in use, is they ALL need a connection to
> download the maps for each time you use the app. Which to me is the most
> retarted thing in the world given that a lot of people drive out in the
> country where signal just drops off.
>
> Since we are building this thing from scratch almost. Why not take
> something like the OpenStreetMap project, put some real Man power behind
> it. And make the Android app, OSMand or OSMand plus, to work much much
> better, so that people can submit corrections well before Ubuntu Phone
> (or U-Phone as I like to call it) is available.
>
> I have been trying to make a few corrections, but it rarely ever finds
> my locations correctly that I just can't submit any accurate data from
> the Android app. And the best part of OpenStreetMap, is that it would go
> along with the Open Nature of Ubuntu and the Free Software movement as a
> whole, so there wouldn't be any compromise. And unlike with Garmins or
> TomToms, you can submit fixes as you encounter them, and the updated
> maps could be downloaded on a fairly consistent basis, so you know would
> be getting just as good of directions as Google Maps, while not
> requiring data connection the whole time, saving battery life, and all
> with staying "open" in the Freedom Dimension. :)
>
> What you guys think?
> --
> This message was sent from Launchpad by
> Daniel Clem (https://launchpad.net/~clem11388)
> to each member of the Ubuntu Phone team using the "Contact this team" link
> on the Ubuntu Phone team page (https://launchpad.net/~ubuntu-phone).
> For more information see
> https://help.launchpad.net/YourAccount/ContactingPeople
>

Mario Limonciello (superm1) wrote :
Download full text (3.6 KiB)

Well debconf isn't a database, it's a cache. So corruption happens, (eg
sh*t happens). So probably need a sanity check for that scenario.

On Fri, Apr 27, 2012 at 10:42, Thomas Mashos <email address hidden>wrote:

> Is having nothing there ever valid? I suppose we could set a default if RET
> is blank.
>
> On Apr 25, 2012 11:58 PM, "Daniel Clem" <email address hidden> wrote:
>
> > Are there any ideas being thrown around about how to approach GPS
> > navigation on either the phone or tablet? I use it on my phone about 2
> > times a week. Sometimes more. And though I try to stay away from
> > Google's services as much as possible by using Map Quest and other
> > replacements for the stock Android Apps, Google Maps is just really well
> > polished and works really well. But the biggest draw back to ALL the
> > navigation apps currently in use, is they ALL need a connection to
> > download the maps for each time you use the app. Which to me is the most
> > retarted thing in the world given that a lot of people drive out in the
> > country where signal just drops off.
> >
> > Since we are building this thing from scratch almost. Why not take
> > something like the OpenStreetMap project, put some real Man power behind
> > it. And make the Android app, OSMand or OSMand plus, to work much much
> > better, so that people can submit corrections well before Ubuntu Phone
> > (or U-Phone as I like to call it) is available.
> >
> > I have been trying to make a few corrections, but it rarely ever finds
> > my locations correctly that I just can't submit any accurate data from
> > the Android app. And the best part of OpenStreetMap, is that it would go
> > along with the Open Nature of Ubuntu and the Free Software movement as a
> > whole, so there wouldn't be any compromise. And unlike with Garmins or
> > TomToms, you can submit fixes as you encounter them, and the updated
> > maps could be downloaded on a fairly consistent basis, so you know would
> > be getting just as good of directions as Google Maps, while not
> > requiring data connection the whole time, saving battery life, and all
> > with staying "open" in the Freedom Dimension. :)
> >
> > What you guys think?
> > --
> > This message was sent from Launchpad by
> > Daniel Clem (https://launchpad.net/~clem11388)
> > to each member of the Ubuntu Phone team using the "Contact this team"
> link
> > on the Ubuntu Phone team page (https://launchpad.net/~ubuntu-phone).
> > For more information see
> > https://help.launchpad.net/YourAccount/ContactingPeople
> >
>
> --
> You received this bug notification because you are a member of Mythbuntu
> Bug Team, which is subscribed to Mythbuntu.
> https://bugs.launchpad.net/bugs/989371
>
> Title:
> postinst error from mythv-database
>
> Status in Mythbuntu, Ubuntu derivative focused upon MythTV:
> New
>
> Bug description:
> When upgrading mythtv via apt-get, I see:
>
> Setting up mythtv-database
> (2:0.25.0+fixes.20120427.58fd2a5-0ubuntu0mythbuntu4) ...
> /var/lib/dpkg/info/mythtv-database.postinst: 115: [: =: unexpected
> operator
>
> line 115 is:
>
> if [ $RET = true ]; then
>
> I think that that should be:
>
> if [ $RET = "true" ]; t...

Read more...

Mario Limonciello (superm1) wrote :

I committed a fix to 0.25 and 0.26 autobuilds. Should be included in autobuilds with 04/29 or later in their version string.

Changed in mythbuntu:
status: New → Fix Committed
Thomas Mashos (tgm4883) on 2012-06-04
Changed in mythbuntu:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers